Create Dataset
POST
/v1/datasets
const url = 'https://example.com/v1/datasets';const form = new FormData();form.append('file', 'example');form.append('source', 'example');form.append('connection_id', 'example');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/datasets \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=example \ --form source=example \ --form connection_id=exampleIngest a CSV, TSV, JSON, JSONL or Parquet file, optionally gzipped: either upload file or give
a source. The format is detected from the file’s content.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Dataset
object
id
required
Id
string
name
required
Name
string
source
required
Source
string
row_count
required
Row Count
integer
size_bytes
required
Size Bytes
integer
columns
required
Columns
Array<object>
Columnobject
name
required
Name
string
type
required
Type
string
created_at
required
Created At
string format: date-time
run
required
Any of:
DatasetRun
The run that makes a dataset.
null
Example
{ "run": { "status": "queued" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}